| QxOrm 1.2.5 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | Friends
qx::QxBool Class Reference
QxCommon : QxOrm library common tools and macros

qx_bool : boolean type with code and description message when an error occured More...

`#include <QxBool.h>`

List of all members.

## Public Member Functions
| QxBool ()
| QxBool (bool b)
| QxBool (long lCode, const QString &sDesc)
| QxBool (bool bValue, long lCode, const QString &sDesc)
| QxBool (const QxBool &other)
| ~QxBool ()
bool | getValue () const
long | getCode () const
QString | getDesc () const
void | setValue (bool bValue)
void | setCode (long lCode)
void | setDesc (const QString &sDesc)
QxBool & | operator= (const QxBool &other)
QxBool & | operator= (const bool b)
| operator bool () const
bool | operator! () const
bool | operator== (const QxBool &other) const
bool | operator== (const bool b) const
bool | operator!= (const QxBool &other) const
bool | operator!= (const bool b) const
bool | operator&& (const QxBool &other) const
bool | operator&& (const bool b) const
bool | operator|| (const QxBool &other) const
bool | operator|| (const bool b) const
## Private Member Functions
template<class Archive >
void | serialize (Archive &ar, const unsigned int file_version)
bool | checkInitialized (const bool b) const
## Private Attributes
bool | m_bValue
| Data boolean value.
long | m_lCode
| Error code when value is false.
QString | m_sDesc
| Error description when value is false.
## Friends
class | boost::serialization::access

## Detailed Description

qx_bool : boolean type with code and description message when an error occured

Definition at line 59 of file QxBool.h.

## Constructor & Destructor Documentation

qx::QxBool::QxBool | ( |  | ) | `[inline]`

Definition at line 72 of file QxBool.h.

qx::QxBool::QxBool | ( | bool | b | ) | `[inline]`

Definition at line 73 of file QxBool.h.

qx::QxBool::QxBool | ( | long | lCode,
|  | const QString & | sDesc
| ) |  | `[inline]`

Definition at line 74 of file QxBool.h.

qx::QxBool::QxBool | ( | bool | bValue,
|  | long | lCode,
|  | const QString & | sDesc
| ) |  | `[inline]`

Definition at line 75 of file QxBool.h.

qx::QxBool::QxBool | ( | const QxBool & | other | ) | `[inline]`

Definition at line 76 of file QxBool.h.

qx::QxBool::~QxBool | ( |  | ) | `[inline]`

Definition at line 77 of file QxBool.h.

## Member Function Documentation

bool qx::QxBool::checkInitialized | ( | const bool | b | ) | const`[inline, private]`

Definition at line 113 of file QxBool.h.

long qx::QxBool::getCode | ( |  | ) | const`[inline]`

Definition at line 80 of file QxBool.h.

QString qx::QxBool::getDesc | ( |  | ) | const`[inline]`

Definition at line 81 of file QxBool.h.

bool qx::QxBool::getValue | ( |  | ) | const`[inline]`

Definition at line 79 of file QxBool.h.

qx::QxBool::operator bool | ( |  | ) | const`[inline]`

Definition at line 90 of file QxBool.h.

bool qx::QxBool::operator! | ( |  | ) | const`[inline]`

Definition at line 91 of file QxBool.h.

bool qx::QxBool::operator!= | ( | const QxBool & | other | ) | const`[inline]`

Definition at line 95 of file QxBool.h.

bool qx::QxBool::operator!= | ( | const bool | b | ) | const`[inline]`

Definition at line 96 of file QxBool.h.

bool qx::QxBool::operator&& | ( | const QxBool & | other | ) | const`[inline]`

Definition at line 97 of file QxBool.h.

bool qx::QxBool::operator&& | ( | const bool | b | ) | const`[inline]`

Definition at line 98 of file QxBool.h.

QxBool& qx::QxBool::operator= | ( | const QxBool & | other | ) | `[inline]`

Definition at line 87 of file QxBool.h.

QxBool& qx::QxBool::operator= | ( | const bool | b | ) | `[inline]`

Definition at line 88 of file QxBool.h.

bool qx::QxBool::operator== | ( | const QxBool & | other | ) | const`[inline]`

Definition at line 93 of file QxBool.h.

bool qx::QxBool::operator== | ( | const bool | b | ) | const`[inline]`

Definition at line 94 of file QxBool.h.

bool qx::QxBool::operator|| | ( | const QxBool & | other | ) | const`[inline]`

Definition at line 99 of file QxBool.h.

bool qx::QxBool::operator|| | ( | const bool | b | ) | const`[inline]`

Definition at line 100 of file QxBool.h.

template<class Archive >

void qx::QxBool::serialize | ( | Archive & | ar,
|  | const unsigned int | file_version
| ) |  | `[inline, private]`

Definition at line 105 of file QxBool.h.

void qx::QxBool::setCode | ( | long | lCode | ) | `[inline]`

Definition at line 84 of file QxBool.h.

void qx::QxBool::setDesc | ( | const QString & | sDesc | ) | `[inline]`

Definition at line 85 of file QxBool.h.

void qx::QxBool::setValue | ( | bool | bValue | ) | `[inline]`

Definition at line 83 of file QxBool.h.

## Friends And Related Function Documentation

friend class boost::serialization::access`[friend]`

Definition at line 62 of file QxBool.h.

## Member Data Documentation

bool qx::QxBool::m_bValue`[private]`

Data boolean value.

Definition at line 66 of file QxBool.h.

long qx::QxBool::m_lCode`[private]`

Error code when value is false.

Definition at line 67 of file QxBool.h.

QString qx::QxBool::m_sDesc`[private]`

Error description when value is false.

Definition at line 68 of file QxBool.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxCommon/QxBool.h